Skip to content

Describe Custom Object Type

GET /rest/v1/customobjects/schema/{apiName}/describe.json

Permissions Read-Only Custom Object TypeRead-Write Custom Object Type

Build a request and mock the response

Method: GET
Path: /rest/v1/customobjects/schema/{apiName}/describe.json
Tag: Custom Objects
Operation ID: describeCustomObjectTypeUsingGET

Returns metadata regarding a given custom object type (including relationships and fields). Required Permissions: Read-Only Custom Object Type, Read-Write Custom Object Type

Formats

  • Request: application/json
  • Response: application/json

Request

Path parameters

Name Type Required Description Constraints
apiName string Yes API name of custom object type to describe

Query parameters

Name Type Required Description Constraints
state string No State of custom object type to filter on. By default, if an approved version exists, it is returned. Otherwise, the draft version is returned. enum: draft, approved, approvedWithDraft

Example request

GET {{base_url}}/rest/v1/customobjects/schema/{{apiName}}/describe.json?state=draft
Accept: application/json

Responses

200 — OK

Schema: model: ResponseOfObjectMetaData

Generated example

{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "moreResult": false,
  "nextPageToken": "example-token",
  "requestId": "123",
  "result": [
    {
      "createdAt": "2026-01-15T10:30:00Z",
      "dedupeFields": [
        "string"
      ],
      "description": "string",
      "displayName": "Example name",
      "pluralName": "Example name",
      "fields": [
        {
          "dataType": "string",
          "displayName": "Example name",
          "length": 123,
          "name": "Example name",
          "updateable": false,
          "crmManaged": false
        }
      ],
      "idField": "string",
      "apiName": "Example name",
      "relationships": [
        {
          "field": "string",
          "relatedTo": {
            "field": "string",
            "name": "Example name"
          },
          "type": "string"
        }
      ],
      "searchableFields": [
        [
          "string"
        ]
      ],
      "updatedAt": "2026-01-15T10:30:00Z",
      "state": "draft",
      "version": "draft"
    }
  ],
  "success": false,
  "warnings": [
    {
      "code": 123,
      "message": "string"
    }
  ]
}

Referenced models

Source

Generated from swagger-mapi.json.

Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.